Probleme bei Installation

Fragen und Informationen zur Installation von Gambas
Antworten
gambasso
Foriker
Beiträge: 808
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Probleme bei Installation

Beitrag von gambasso » Fr 22. Mai 2015, 14:13

moin,

habe ein Projekt unter 'Gambas 3.7.1 stable' geschrieben und wollte es unter der 'V 3.7.90' laufen auf 'Xubuntu V15.04' lassen. Es gab Probleme, z.B. in der Ide liessen sich die Sub's nicht mehr zuklappen, das Dreieck davor fehlte auch. Ok, sagte ich mir, deinstalliere es und mach die 'stabile Version' drauf.
Bei der Neuinstallation kam wieder die 'V 3.7.90' drauf. ??? Diese bot dann bei 'synaptic-Paketverwaltung' u.a. 'qt5' an. ???

Habe wieder alles runtergeschmissen. Wie bekomme ich jetzt die stabile Version drauf?
So habe ich es versucht:

Code: Alles auswählen

sudo add-apt-repository ppa:gambas-team/gambas3

sudo apt-get update

sudo apt-get install gambas3


Habe gerade im 'Paket-Manager' gesehen, dort wird auch nur die 'V 3.7.90' gelistet.
Gruss

tux_
Moderator
Beiträge: 943
Registriert: Di 11. Nov 2008, 20:05
Kontaktdaten:

Re: Probleme bei Installation

Beitrag von tux_ » Fr 22. Mai 2015, 14:42

Es gab Probleme, z.B. in der Ide liessen sich die Sub's nicht mehr zuklappen, das Dreieck davor fehlte auch.

Zur Zeit wird das Editor-Steuerelement in gb.qt4.ext durch einen in Gambas geschriebenen Editor ersetzt. Dieser ist aber noch nicht fertig.

Bei der Neuinstallation kam wieder die 'V 3.7.90' drauf. ??? Diese bot dann bei 'synaptic-Paketverwaltung' u.a. 'qt5' an. ???

gb.qt5 ist eine neue Komponente in der Entwicklerversion, die auf Qt5 aufbaut.

Mein Rat ist wie die letzten Male auch: lies den Commit-Log, bevor du eine Entwicklerversion installierst.

So habe ich es versucht:

Code: Alles auswählen

sudo add-apt-repository ppa:gambas-team/gambas3
sudo apt-get update
sudo apt-get install gambas3


Hast du das gambas-daily-Repositorium vorher entfernt? Siehe Wiki[0]:
DO NOT add the stable and trunk PPA at the same time! It is either stable or trunk.


[0] http://gambaswiki.org/wiki/install/ubuntu
Achtung: Es passiert, dass ich einen frisch geschrieben Beitrag innerhalb von 10 Minuten noch 3-4 Mal aendere!

gambasso
Foriker
Beiträge: 808
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Re: Probleme bei Installation

Beitrag von gambasso » Fr 22. Mai 2015, 15:37

Hast du das gambas-daily-Repositorium vorher entfernt?

da war noch einer drin, danach habe ich V3.71. installiert bekommen, es fehlt aber einiges, wie z.B. 'pdf'.
Da kommt beim Versuch die Fehlermeldung:

Code: Alles auswählen

gambas3-gb-pdf:

 Hängt ab von: libpoppler44 (>=0.24.5) but it is not installable


Nur, ich finde kein 'libpoppler44'. Wie bekomme ich die fehlenden Componenten hinzugefügt?
Gruss

gambasso
Foriker
Beiträge: 808
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Re: Probleme bei Installation

Beitrag von gambasso » Fr 22. Mai 2015, 16:08

habe alles nochmals gelöscht. Will ich es jetzt mit 'synaptic' installieren, kommt bei 'Gambas3' ein rotes Feld mit Ausrufungszeichen, > Status: defekt.
Version: 3.7.1-24.34

Was tun?
Gruss

gambasso
Foriker
Beiträge: 808
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Re: Probleme bei Installation

Beitrag von gambasso » Fr 22. Mai 2015, 17:36

habe es nochmal versucht und erhalte diese Fehlermeldung:

Code: Alles auswählen

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 gambas3 : Hängt ab von: gambas3-gb-pdf (>= 3.7.1-24.34~ubuntu14.04.1) soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


Wie weiter?
Gruss

gambasso
Foriker
Beiträge: 808
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Re: Probleme bei Installation

Beitrag von gambasso » Sa 23. Mai 2015, 11:14

habe, Backup des Systems zurückgespielt, alles was 'gambas' hieß gelöscht und auch das gambas-daily-Repositorium vorher entfernt.
Jetzt geht es. Hat wohl an letzteres gelegen.
Gruss

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste